# Options used to build arrow:

## Compile and link options:
set(ARROW_CXXFLAGS "")
set(ARROW_BUILD_STATIC "OFF")
set(ARROW_BUILD_SHARED "ON")
set(ARROW_NO_DEPRECATED_API "OFF")
set(ARROW_USE_CCACHE "ON")
set(ARROW_USE_LD_GOLD "OFF")
set(ARROW_USE_SIMD "ON")
set(ARROW_SSE42 "OFF")
set(ARROW_ALTIVEC "ON")
set(ARROW_RPATH_ORIGIN "OFF")
set(ARROW_INSTALL_NAME_RPATH "ON")
set(ARROW_GGDB_DEBUG "ON")

## Test and benchmark options:
set(ARROW_BUILD_EXAMPLES "OFF")
set(ARROW_BUILD_TESTS "OFF")
set(ARROW_BUILD_INTEGRATION "OFF")
set(ARROW_BUILD_BENCHMARKS "OFF")
set(ARROW_BUILD_BENCHMARKS_REFERENCE "OFF")
set(ARROW_TEST_LINKAGE "shared")
set(ARROW_FUZZING "OFF")
set(ARROW_LARGE_MEMORY_TESTS "OFF")

## Lint options:
set(ARROW_ONLY_LINT "OFF")
set(ARROW_VERBOSE_LINT "OFF")
set(ARROW_GENERATE_COVERAGE "OFF")

## Checks options:
set(ARROW_TEST_MEMCHECK "OFF")
set(ARROW_USE_ASAN "OFF")
set(ARROW_USE_TSAN "OFF")
set(ARROW_USE_UBSAN "OFF")

## Project component options:
set(ARROW_BUILD_UTILITIES "OFF")
set(ARROW_COMPUTE "ON")
set(ARROW_CUDA "OFF")
set(ARROW_DATASET "ON")
set(ARROW_FILESYSTEM "ON")
set(ARROW_FLIGHT "ON")
set(ARROW_GANDIVA "OFF")
set(ARROW_HDFS "ON")
set(ARROW_HIVESERVER2 "OFF")
set(ARROW_IPC "ON")
set(ARROW_JEMALLOC "ON")
set(ARROW_JNI "OFF")
set(ARROW_JSON "ON")
set(ARROW_MIMALLOC "OFF")
set(ARROW_PARQUET "ON")
set(ARROW_ORC "ON")
set(ARROW_PLASMA "ON")
set(ARROW_PLASMA_JAVA_CLIENT "OFF")
set(ARROW_PYTHON "ON")
set(ARROW_S3 "OFF")
set(ARROW_TENSORFLOW "OFF")

## Thirdparty toolchain options:
set(ARROW_DEPENDENCY_SOURCE "SYSTEM")
set(ARROW_VERBOSE_THIRDPARTY_BUILD "OFF")
set(ARROW_BOOST_USE_SHARED "ON")
set(ARROW_BOOST_VENDORED "OFF")
set(ARROW_PROTOBUF_USE_SHARED "ON")
set(ARROW_GFLAGS_USE_SHARED "ON")
set(ARROW_WITH_BACKTRACE "ON")
set(ARROW_USE_GLOG "ON")
set(ARROW_WITH_BROTLI "ON")
set(ARROW_WITH_BZ2 "ON")
set(ARROW_WITH_LZ4 "ON")
set(ARROW_WITH_SNAPPY "ON")
set(ARROW_WITH_ZLIB "ON")
set(ARROW_WITH_ZSTD "ON")

## Parquet options:
set(PARQUET_MINIMAL_DEPENDENCY "OFF")
set(PARQUET_BUILD_EXECUTABLES "OFF")
set(PARQUET_BUILD_EXAMPLES "OFF")
set(PARQUET_REQUIRE_ENCRYPTION "OFF")

## Gandiva options:
set(ARROW_GANDIVA_JAVA "OFF")
set(ARROW_GANDIVA_STATIC_LIBSTDCPP "OFF")
set(ARROW_GANDIVA_PC_CXX_FLAGS "-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../lib/gcc/x86_64-conda_cos6-linux-gnu/7.3.0/../../../../x86_64-conda_cos6-linux-gnu/include/c++/7.3.0;-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../lib/gcc/x86_64-conda_cos6-linux-gnu/7.3.0/../../../../x86_64-conda_cos6-linux-gnu/include/c++/7.3.0/x86_64-conda_cos6-linux-gnu;-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../lib/gcc/x86_64-conda_cos6-linux-gnu/7.3.0/../../../../x86_64-conda_cos6-linux-gnu/include/c++/7.3.0/backward;-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../lib/gcc/x86_64-conda_cos6-linux-gnu/7.3.0/include;-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../lib/gcc/x86_64-conda_cos6-linux-gnu/7.3.0/include-fixed;-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../lib/gcc/x86_64-conda_cos6-linux-gnu/7.3.0/../../../../x86_64-conda_cos6-linux-gnu/include;-isystem;/tmp/build/80754af9/arrow-cpp_1580503576816/_build_env/bin/../x86_64-conda_cos6-linux-gnu/sysroot/usr/include;")

## Advanced developer options:
set(ARROW_EXTRA_ERROR_CONTEXT "OFF")
set(ARROW_OPTIONAL_INSTALL "OFF")